classification
Title: Implement PEP 574
Type: enhancement Stage: resolved
Components: Extension Modules, Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pitrou Nosy List: lukasz.langa, miss-islington, ncoghlan, pitrou
Priority: normal Keywords: patch

Created on 2019-05-03 18:28 by pitrou, last changed 2019-06-15 16:03 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7076 merged pitrou, 2019-05-03 18:50
PR 13931 merged pitrou, 2019-06-09 12:37
PR 14113 merged miss-islington, 2019-06-15 15:23
Messages (5)
msg341349 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-05-03 18:28
Now that PEP 574 (Pickle protocol 5 with out-of-band data) has been accepted, it should be implemented.
msg343553 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-05-26 15:10
New changeset 91f4380cedbae32b49adbea2518014a5624c6523 by Antoine Pitrou in branch 'master':
bpo-36785: PEP 574 implementation (GH-7076)
https://github.com/python/cpython/commit/91f4380cedbae32b49adbea2518014a5624c6523
msg345081 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-06-09 12:47
New changeset c879ff247ae1b67a790ff98d2d59145302cd4e4e by Łukasz Langa (Antoine Pitrou) in branch 'master':
bpo-36785: PEP 574 What's New entry (#13931)
https://github.com/python/cpython/commit/c879ff247ae1b67a790ff98d2d59145302cd4e4e
msg345625 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-06-14 18:12
Now complete, closing :-)
msg345694 - (view) Author: miss-islington (miss-islington) Date: 2019-06-15 16:03
New changeset 298023633fde5cd60926a2923a01d896550cbf84 by Miss Islington (bot) in branch '3.8':
bpo-36785: PEP 574 What's New entry (GH-13931)
https://github.com/python/cpython/commit/298023633fde5cd60926a2923a01d896550cbf84
History
Date User Action Args
2019-06-15 16:03:01miss-islingtonsetnosy: + miss-islington
messages: + msg345694
2019-06-15 15:23:55miss-islingtonsetpull_requests: + pull_request13962
2019-06-14 18:12:04pitrousetstatus: open -> closed
resolution: fixed
messages: + msg345625

stage: patch review -> resolved
2019-06-09 12:47:20lukasz.langasetnosy: + lukasz.langa
messages: + msg345081
2019-06-09 12:37:19pitrousetpull_requests: + pull_request13797
2019-05-26 15:10:14pitrousetmessages: + msg343553
2019-05-03 18:55:39pitrousetassignee: pitrou
2019-05-03 18:50:44pitrousetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request12992
2019-05-03 18:28:21pitroucreate